using SushiBarContracts.BindingModels;
using SushiBarContracts.ViewModels;

namespace SushiBarContracts.BusinessLogicsContracts
{
    public interface IReportLogic
    {
        List<ReportSushiComponentViewModel> GetSushiComponents();
        List<ReportOrdersViewModel> GetOrders(ReportBindingModel model);
        void SaveSushisToWordFile(ReportBindingModel model);
        void SaveSushiComponentToExcelFile(ReportBindingModel model);
        void SaveOrdersToPdfFile(ReportBindingModel model);
    }
}